This project has moved. For the latest updates, please go here.

Error occurred: StartIndex cannot be less than zero.

Apr 12, 2016 at 11:18 AM
Hi there. First off, thanks a lot for this plugin. Looking forward to using it.

However, I have a problem right from the start. I enter the URI as Direct Input in the JSON Source component and then I click Test, only to receive the following error message: "Error occurred: StartIndex cannot be less than zero.
Parameter name: startIndex"

Any help would be appreciated
Coordinator
Apr 16, 2016 at 5:42 PM
Hi,

the error is very generic. Can I get some screenshots about your current configuraiton? I would like to get the URL and the screens about the Input/Output and the Data Source.

Alberto
May 3, 2016 at 3:14 AM
Hi Alberto-

I'm having the same issue when entering a direct input on the latest release. The same input ran fine with an older release. And it runs fine testing it with Postman.

This is the URI:
http://lb.nowforce.com/api/en-US/user/GetUsers/json/2881/2881?startrow=1&maxrows=30

And it is using SNAPAuthorization as a HTTP Parameter Custom Value / URL Encoded

This is the Error I get in the ComponentTester after User inputs acquired:

Error occurred: StartIndex cannot be less than zero.
Parameter name: startIndex

Thanks for your help,

Brad.
Coordinator
May 3, 2016 at 8:50 PM
Hi chranko and TenshiS,

I've investigated the error and it was a dummy copy-paste error (wrong index when looping though parameters). I've already updated the new version. Can you please check if it is ok now?

Alberto.
Marked as answer by webking on 5/5/2016 at 12:19 AM